#-----------------------------------------------------------------------------
# Unhide the Trans dials for selected body part.
# Copyright (c) 2003 David G. Drumright (ockham)
# Select the body part.  Activate the script.
# After the script acts, all Xtran, Ytran and Ztran dials
# will be unhidden.
#-----------------------------------------------------------------------------

import poser

#-----------------------------------------------------------------------------

scene = poser.Scene()

#-----------------------------------------------------------------------------
# For the selected Actor, unhide the Xtran, Ytran and Ztran dials
#-----------------------------------------------------------------------------
TheFig=scene.CurrentFigure()
if TheFig:
    for OneActor in TheFig.Actors():
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeXTRAN)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeYTRAN)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeZTRAN)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeXROT)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeYROT)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeZROT)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeXSCALE)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeYSCALE)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeZSCALE)
           OneParm.SetHidden(0)
       except:
           pass
       try:
           OneParm = OneActor.ParameterByCode(poser.kParmCodeASCALE)
           OneParm.SetHidden(0)
       except:
           pass
else: # no fig, use selected actor only.
    OneActor=scene.CurrentActor()
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeXTRAN)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeYTRAN)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeZTRAN)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeXTRAN)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeYTRAN)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeZTRAN)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeXROT)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeYROT)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeZROT)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeXSCALE)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeYSCALE)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeZSCALE)
        OneParm.SetHidden(0)
    except:
        pass
    try:
        OneParm = OneActor.ParameterByCode(poser.kParmCodeASCALE)
        OneParm.SetHidden(0)
    except:
        pass


# That's all, folks!
#-----------------------------------------------------------------------------
